import 'package:json_annotation/json_annotation.dart';
import 'package:vais_speech/model/status.dart';

part 'audio.g.dart';

@JsonSerializable()
class Audio {
  String id;
  String name;
  @JsonKey(name: "audiosource_id")
  String audioSourceId;
  int duration;
  int status;
  @JsonKey(name: "user_id")
  String userId;
  String bucket;
  String key;
  @JsonKey(name: "create_time")
  String createdTime;
  String localPath;
  @JsonKey(name: "audio_url")
  String audioUrl;


  Audio({this.id, this.name, this.audioSourceId, this.duration, this.status,
    this.userId, this.bucket, this.key, this.createdTime, this.localPath});

  factory Audio.fromJson(Map<String, dynamic> json) =>
      _$AudioFromJson(json);

  Map<String, dynamic> toJson() => _$AudioToJson(this);

  AudioStatus get toStatus => AudioStatus.values[status - 1];
}
