import 'package:json_annotation/json_annotation.dart';
import 'package:vais_speech/model/audio/audio.dart';

import 'package:vais_speech/model/base_response.dart';
import 'package:vais_speech/model/page_response.dart';

part 'audio_response.g.dart';

@JsonSerializable()
class AudioResponse extends PageResponse {
  List<Audio> data;

  AudioResponse(int code, String message,
      {totalItems, totalPages, hasMore, nextPage, this.data})
      : super(code, message,
            totalItems: totalItems,
            totalPages: totalPages,
            hasMore: hasMore,
            nextPage: nextPage);

  factory AudioResponse.fromJson(Map<String, dynamic> json) =>
      _$AudioResponseFromJson(json);

  Map<String, dynamic> toJson() => _$AudioResponseToJson(this);
}
