import 'package:json_annotation/json_annotation.dart';
import 'package:vais_speech/model/lyric/lyric.dart';
import 'package:vais_speech/model/page_response.dart';

part 'lyric_response.g.dart';

@JsonSerializable()
class TranscriptResponse extends PageResponse {
  List<Lyric> data;

  TranscriptResponse(int code, String message,
      {totalItems, totalPages, hasMore, nextPage, this.data})
      : super(code, message,
            totalItems: totalItems,
            totalPages: totalPages,
            hasMore: hasMore,
            nextPage: nextPage);

  factory TranscriptResponse.fromJson(Map<String, dynamic> json) =>
      _$LyricResponseFromJson(json);

  Map<String, dynamic> toJson() => _$LyricResponseToJson(this);
}
