import 'package:json_annotation/json_annotation.dart';
import 'package:vais_speech/model/s3/signature.dart';
part 'signature_response.g.dart';

@JsonSerializable()
class SignatureResponse {
  String postEndpoint;
  Signature signature;
  @JsonKey(name: "max_size")
  int maxSize;
  @JsonKey(name: "min_size")
  int minSize;


  SignatureResponse(this.postEndpoint, this.signature, this.maxSize,
      this.minSize);

  factory SignatureResponse.fromJson(Map<String, dynamic> json) =>
      _$SignatureResponseFromJson(json);

  Map<String, dynamic> toJson() => _$SignatureResponseToJson(this);

  @override
  String toString() {
    return 'SignatureResponse{postEndpoint: $postEndpoint, signature: ${signature.toString()}, maxSize: $maxSize, minSize: $minSize}';
  }
}
