import 'package:vais_speech/model/lyric/lyric_response.dart';
import 'package:vais_speech/model/status.dart';
import 'package:vais_speech/repository/network.dart';

class VaisSpeechHelper {
  final NetworkRepository networkRepository;

  VaisSpeechHelper(this.networkRepository);

  Future<String> startAsr(String path, String finalName) => networkRepository.uploadVideoAndGetAudioId(path,finalName: finalName);

  Future<AudioStatus> getProgress(String audioId) => networkRepository.getAudioInfo(audioId);

  Future<TranscriptResponse> getTranscript(String audioId) => networkRepository.getTranscript(audioId);
}